/// <reference types="react" />
interface PropertySheetComponentDefinition {
    field: string;
    componentType: any;
}
interface PropertySheetOptions {
    capitalizeKeys: boolean;
    excludedFields?: string[];
    fieldComponents?: PropertySheetComponentDefinition[];
    setState: any;
    error?: any;
}
export declare const EditablePropertySheet: (object: any, options: PropertySheetOptions) => JSX.Element[];
export declare const editablePropertySheetArrayMember: (object: any, options: PropertySheetOptions, index: any) => JSX.Element[];
export declare const EditableArrayPropertySheet: (objectArray: any[], options: PropertySheetOptions) => JSX.Element[];
export declare const EditableObjectPropertySheet: (object: any, options: PropertySheetOptions) => JSX.Element;
export {};
