import { MapData } from './event-map-interface';
/**
 * Standard event handler
 *  - /error
 *  - /upadate
 *  - /all
 *  - /force-update
 *
 * @param socket the socket on which events will arrive
 * @param state the react state in which to update data
 * @param dispatch the react setState function by which to update data
 */
export declare const standardEvents: (namespace: string, socket: any, state: MapData, dispatch: any, dataFieldName?: string) => void;
