/// <reference types="react" />
interface SortableTableCellProps {
    column: string;
    label: string;
}
export declare const useSortableData: (items: any, config?: {
    key: string;
    direction: string;
}, containerName?: string) => {
    items: any[];
    requestSort: (key: any) => void;
    getSortIcon: (key: any) => JSX.Element;
    SortableTableCell: (props: SortableTableCellProps) => JSX.Element;
    sortConfig: {
        key: string;
        direction: string;
    };
    containerName: string;
};
export {};
